<div class="row">
    <h3 th:text="#{coms.title}">Pago con comisiones de Afiliado.</h3>
    <div class="col-lg-12 col-md-12 col-sm-12 text-center">
        <h4 class="title">
            <span th:text="${req.title}">STARTER</span>
        </h4>
        <h4>
            <small class="text-muted" th:text="|#{coms.order.number}:|">Número de pedido: </small>
            <span th:text="${req.id} + '-' + ${req.orderNumber}"></span>
            <br/>
            <small class="text-muted" th:Text="|#{coms.total.amount}:|">Total a pagar: </small>
            <strong th:text="${req.getPaymentAmount()}" th:if="${req.comsDiscountAmount == null}">0</strong>&nbsp;
            <span th:if="${req.comsDiscountAmount != null}">
                <strong th:text="${req.getComsDiscountAmountText()}">0</strong><sup>*</sup><br/>
                <small class="text-muted" th:text="|*#{coms.payment.comment}|">*Precio con descuento por pago con comisiones.</small>
            </span>
        </h4>
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 text-center">

        <div class="row" style="padding-top: 15px !important;">            
            <div class="col-lg-3"></div>
            <div class="col-lg-6">

                <div class="text-center" id="wait">
                    <i class="fa fa-spinner fa-spin" style="font-size: 36px;" id="spinner"></i>
                    <div class="alert" id="message"></div>
                </div>

                <div class="text-center" id="form-div">
                    <strong class="title">
                        <span th:text="#{coms.enter.your.data}">Ingrese sus datos</span>
                    </strong>
                    <div class="border" style="padding: 25px;">
                        <form class="form" id="pay-form">
                            <input type="hidden" name="reqId" th:value="${req.id}"/>
                            <div class="form-group">
                                <input type="text" name="username" th:placeholder="#{coms.user.email}" class="form-control"/>
                            </div>
                            <div class="form-group">
                                <input type="password" name="password" th:placeholder="#{coms.user.password}" class="form-control"/>
                            </div>
                            <button class="btn btn-success" id="pay" th:text="#{coms.btn.pay}">Pagar</button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-lg-3"></div>            
        </div>
        <br/>
        <small class="text-muted" th:text="#{coms.remember.message}">*Recuerde: la opción</small>
        &nbsp;<i th:text="#{coms.commission.payment}">Pagos con comisiones</i>
        &nbsp;<small class="text-muted" th:text="#{coms.payment.virtual.office}">en la configuración de su Oficina Virtual debe estar habilitada.</small>
        <br/>
        <span class="text-muted" >
            <strong th:text="#{requests.paymentcode}"> Código de pago: </strong>: <i th:text="${req.payCode}"></i>
        </span>
        <br/>
        <hr/>
    </div>
</div>
<ul>
    <li>
        <a th:href="'/' + ${req.code}" th:text="#{coms.change.payment.method}">Cambiar método de pago</a>
    </li>
    <li>
        <a th:href="${req.cancelUrl}" href="#" th:text="#{coms.btn.return}">Volver</a>
    </li>
</ul>
<br/>
<br/>
<br/>

<div id="i18n_generating_transaction" th:text="#{coms.generating.transaction}" style="display:none;"></div>
<div id="i18n_redirect" th:text="#{coms.redirect}" style="display:none;"></div>

<script>
    $(document).ready(function () {

        const generatingTransaction = document.querySelector("#i18n_generating_transaction");
        const redirect = document.querySelector("#i18n_redirect");

        $('#wait').hide();
        $('#pay').click(function (e) {
            e.preventDefault();

            $('#wait').show();
            $('#spinner').show();
            $('#message').html(generatingTransaction.innerHTML);

            var data = $('#pay-form').serialize();
            $.post('coms/charge', data, function (response) {

                $('#message').html(response + ', ' + redirect.innerHTML);
                $('#message').removeClass('alert-danger');
                $('#message').addClass('alert-success');

                setTimeout(function () {
                    location.reload();
                }, 1500);
            }).fail(function (xhr, status, error) {

                $('#message').removeClass('alert-success');
                $('#message').addClass('alert-danger');

                $('#message').html(xhr.responseText);
                $('#spinner').hide();
                $('#wait').hide;

            });
        });
    });
</script>
